QGIS Application - Bug report #17851
Top or bottom context menu item is selected and clicked when right clicking a layer
2018-01-15 05:12 AM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.18.15 Regression?: No
Operating System: Debian 9 Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 25746
Description

| wrote a previous bug report which was rejected for this issue. This issue has been observed on multiple computers, and on multiple
editions of Qgis, with different distros of Linux. It is currently being reported for 2.18.15

The top menu item is "Zoom to layer" which if the layer covers a large area is very annoying and | can see this happen 20 or 30 times a
day when spending a day working on maps. Whilst many Layer settings are accessible from the Layers menu instead of the context menu
being needed, some items such as Filter settings are only available from the context menu.

All the testing | have done indicates in a majority percentage of situations, when a right click is made, the top menu item appears already
selected, and at that point the software behaves as if it was also clicked, this happens without moving the mouse. Obviously it will be the
bottom menu item if the layers list is long.

As a non-programmer | am not aware if there are options to try for example moving the context menu slightly further away from the mouse
when it pops up.

| use a lot of different software packages on my computer with right mouse clicks all the time and not one of those other software
packages exhibits this problem.

History

#1 - 2018-01-15 01:23 PM - Harrissou Santanna

Whilst many Layer settings are accessible from the Layers menu instead of the context menu being needed, some items such as Filter settings are

only available from the context menu.

Afaik, there's no feature available ONLY from context menu; they all have duplicate(s), in this case, in View or Layer menu. The filter feature can be found
under Layer menu or using ctrl F.

Concerning the issue, i have no opinion as i'm less a Qgis-linux user.

#2 - 2018-04-09 05:19 PM - Patrick Dunford

At the moment | am attempting to nail down that this might be a XFCE specific issue, along with a drag and drop problem., Is anyone testing much with
XFCE?

#3 - 2018-04-12 07:05 AM - Patrick Dunford

My testing leads me to conclude this is application specific rather than a particular desktop environment for Linux.
I'll try to explain what | think the key issues are. If a user can hold the mouse perfectly still while right clicking they have no problem. But if the mosue moves
slightly they have a problem because the item on the menu gets selected and somehow clicked. | don't quite know how the click happens, but the select
happens.

Whilst maybe when we all used mechanical mice with mousepads, these days most of us use optical mice on slippery desktops or just the fact that they
have slippery pads attached to them, hence it is difficult to avoid this small movement when clicking on something. It got really bad when | started using a
second computer with its own brand new keyboard and mouse (stacked over the keyboard and mouse of my first computer, so they can be used
simultaneously) and the new mouse and desktop were even more slippery than the ones for the first computer)

| think the answer is looking at where the menu is positioned in relation to the current position of the mouse, and whether it can be moved a bit further

away.

#4 - 2019-01-21 12:34 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#5 - 2019-02-23 01:46 PM - matteo ghetta
- Status changed from Feedback to Closed

Seems solved on 3.4 on Linux Sid

#6 - 2019-02-23 08:40 PM - Jiirgen Fischer

- Resolution set to worksforme
